Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

[Plugin Officiel][Sujet Principal] Harmony Hub

Pour échanger sur les plugins classés en catégorie "Multimédia"
romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:11

sarakha63 a écrit :
romainvalou a écrit :
sarakha63 a écrit :ok je te reprends ce soir
Merci, j'attends de tes news !

Du nouveau ou tu veux je regarde
Désolé de ne répondre que maintenant...
Toujours rien de plus, j'ai tenté de désactiver / ré-activer, mais sans succès !

Lors de l'installation, on est d'accord que tout est déployé dans le dossier plugins de jeedom ?
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:21

sarakha63 a écrit :Oui dans le dossier plugins.

Aurais tu du temps en debut daprem pour quon y regarde. Si oui peux tu m'envoyer par mp un mail gmail pour quon echange sur hangouts. Et aussi un eventuel acces a distance sur ton jeedom / et ssh
Je t'ai envoyé mon gmail en mp.
On peut mater ça cet aprem en début d'aprem sans problème.
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:26

sarakha63 a écrit :Ca marche on va bien finir par comprendre ce quil se passe chez toi j'espere
Je suis en train de tester de supprimer et réinstaller complétement le plugins.
J'avais activé les droits sudo après l'installation des dépendances (un lien peut être...).

Je vais voir ce que ça donne.
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:42

sarakha63 a écrit :Ca marche on va bien finir par comprendre ce quil se passe chez toi j'espere
Je viens de tester d'exécuter une commande python pour sur harmony (via l'installation de PyHarmony.
J'ai juste lancé ça :

Code : Tout sélectionner

python harmony --email my_email@gmail.com --password my_mdp --harmony_ip my_ip show_config
Et il m'a renvoyé ça :

Code : Tout sélectionner

/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
No handlers could be found for logger "auth"
Could not get token from Logitech server.
ça peut avoir un lien avec mon problème ?
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:46

sarakha63 a écrit :Oui il est la le soucis. Impeccable ca donne une piste. Et ce que tu viens de faire cest exactement ce que je voulais tester en ssh nickel. Je regarde
Merci beaucoup ! On va trouver !! ;)
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 11:53

sarakha63 a écrit :
romainvalou a écrit :
sarakha63 a écrit :Oui il est la le soucis. Impeccable ca donne une piste. Et ce que tu viens de faire cest exactement ce que je voulais tester en ssh nickel. Je regarde
Merci beaucoup ! On va trouver !! ;)

tu peux me dire ce que te donnes python -V
Python 2.7.3
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 14:06

sarakha63 a écrit :bon ben voila le soucis. Tu as une vieille version de python. Car tu es sous wheezy. Il faudrait installer python 2.7.9. En fait tu n'as pas l'air d'avoir une image jeedom. Car celle ci est en wheezy normalement
Je vais regarder pour mettre en 2.7.9
Concernant mon install, j'ai juste suivi la méthode d'installation (que je ne vois plus sur le site) pas à pas.
Effectivement, je n'étais pas passé par l'installation de l'image
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

Avatar de l’utilisateur
tom74
Actif
Messages : 1791
Inscription : 16 juil. 2014, 09:16
Localisation : Annecy (74)

Re: [Sujet officiel] - Harmony Hub

Message par tom74 » 25 mai 2015, 14:36

Salut sarakha63,
Petit soucis avec le plugin, je ne m'en suis pas trop servi ces derniers jour mais là les commandes ne fonctionnent plus,
j'ai çà dans le log :

Code : Tout sélectionner

25-05-2015 14:20:04 | debug | L'activité id est : HARMONY COMMUNICATION LOGIN    : FAILURE
ERROR : connectToHarmony : Unable to connect to specified IP Address on specified Port et son nom est N/A
Pourtant dans la page de config du plugin tout semble bon :
Capture.PNG
Capture.PNG (28.88 Kio) Consulté 642 fois
De quoi çà peut venir?

Avatar de l’utilisateur
tom74
Actif
Messages : 1791
Inscription : 16 juil. 2014, 09:16
Localisation : Annecy (74)

Re: [Sujet officiel] - Harmony Hub

Message par tom74 » 25 mai 2015, 14:48

Et bien mon pc arrive a le voir via MyHarmony,
Mais pas moyen de retrouver son IP, j'ai eesayé avec fing sous android mais je ne vois pas d'équipement logitech...
Je pense que l'ip du hub à changer mais comment le retrouver... j'ai essayé de le reboot mais pas mieux

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 16:40

sarakha63 a écrit :Oui maintenant l'image est très recommandé. JE veux bien ton retour après install de python 2.7.9
Bon...
J'ai installé Python 2.7.9.

J'ai une nouvelle erreur...

Quand je teste l'appel via python de show_config, voilà le message :

Code : Tout sélectionner

Traceback (most recent call last):
  File "/usr/local/lib/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/local/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/share/nginx/www/jeedom/plugins/harmonyhub/3rdparty/PyHarmony/harmony/__main__.py", line 10, in <module>
    import auth
  File "/usr/share/nginx/www/jeedom/plugins/harmonyhub/3rdparty/PyHarmony/harmony/auth.py", line 10, in <module>
    import requests
ImportError: No module named requests
Je pense que ma maj de python a pas été apprécié par mon système...
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 16:58

sarakha63 a écrit :non relance l'install des dependances vu que tu as changé de python
Ça change rien... Je pense que j'vais passer à la version image car là ça me gonfle un peu !
Je comptais pas avoir à le faire si vite mais bon, j'ai plus le choix.

log des dépendances :

Code : Tout sélectionner

make: 'HarmonyHubControl' is up to date.
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://mirrordirector.raspbian.org wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://mirrordirector.raspbian.org wheezy Release
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/main armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/contrib armhf Packages
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Hit http://mirrordirector.raspbian.org wheezy/non-free armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Hit http://mirrordirector.raspbian.org wheezy/rpi armhf Packages
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en
Reading package lists...

Reading package lists...
Building dependency tree...

Reading state information...
python-dev is already the newest version.
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/local/lib/python2.7/dist-packages
Cleaning up...
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 25 mai 2015, 22:23

sarakha63 a écrit :je pense que c'est pas plus mal tu auras une vraie jessie. Car la j'ai l'impression que tu as un mic mac des deux versions python
Installation sur Rpi2 en version image en cours !! ;)
Affaire à suivre...


...Bon
J'ai foutu jeedom sur mon nouveau Rpi2 : Même problême !
Je pige pas, python ne fait pas partie de la backup de jeedom, pourquoi je suis toujours en 2.7.3 en ayant pris l'image ?
Je suis paumé !!! :o
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 12:36

Ouaip, merci beaucoup.
Donc, d'après toi, je ne peux pas avoir la 2.7.3 sur Jessie ? Si j'ai récupéré l'image (comme dans la doc d'installation sur le wiki) ça devrait être le cas non ?
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 13:03

Je fais comment l'upgrade ?
via apt-get ? Juste faire l'upgrade de python ?
Le fait de faire un upgrade complet pourrait pêter pas mal de chose non ?

EDIT : J'ai testé l'upgrade de python, ça change rien...

Code : Tout sélectionner

sudo apt-get --only-upgrade install python2.7
J'ai aussi tenté de relancer la commande python qui est utilisé en fond, dossier /usr/share/nginx/www/jeedom/plugins/harmonyhub/3rdparty/PyHarmony/ :

Code : Tout sélectionner

python harmony --email alcarazromain@gmail.com --password tezark --harmony_ip 192.168.0.15 show_config
Voici le message d'erreur que j'ai (qui doit être à l'origine de mon problème) :

Code : Tout sélectionner

/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
No handlers could be found for logger "auth"
Could not get token from Logitech server.
Dernière édition par romainvalou le 26 mai 2015, 13:26, édité 1 fois.
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 13:37

sarakha63 a écrit :non c'est dist upgrade qui est risqué

Tu peux faire un apt-get update
suivi de apt-get upgrade

Sinon je serais obligé de gerer le cas mais la j'avoue ne aps ocmprendre
J'ai fait l'upgrade : Toujours rien ! :(

Je suis vraiment le seul à qui ça arrive ce problème ?
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 13:47

sarakha63 a écrit :Oui ;(. Je fais un contournement pour toi ce soir
Merci, désolé de t'en rajouter... :p
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 13:52

sarakha63 a écrit :Peux tu me redonner tes logs que je bosse dessus
Bien sur ! Tu veux quoi précisément ?
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 14:00

sarakha63 a écrit :Lerreur que tu as en installant dependances et celle pour generation de config
Création du fichier de conf :

Code : Tout sélectionner

26-05-2015 13:55:13 | debug | ######### Dispositifs trouvés |
26-05-2015 13:55:13 | debug | ######### Activités trouvées |
26-05-2015 13:55:13 | debug | #### Fin de l'opération####
Dépendances :

Code : Tout sélectionner

make: 'HarmonyHubControl' is up to date.
Hit http://mirrordirector.raspbian.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://mirrordirector.raspbian.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://mirrordirector.raspbian.org wheezy/main armhf Packages
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/contrib armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/non-free armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/rpi armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en
Reading package lists...

Reading package lists...
Building dependency tree...
Reading state information...
python-dev is already the newest version.
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Je n'ai pas d'erreur dans la génération des dépendances.
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

romainvalou
Timide
Messages : 91
Inscription : 14 janv. 2015, 15:07
Localisation : Lomme

Re: [Sujet officiel] - Harmony Hub

Message par romainvalou » 26 mai 2015, 15:33

sarakha63 a écrit :La log en ligne de commande comme lautre fois

Code : Tout sélectionner

/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
No handlers could be found for logger "auth"
Could not get token from Logitech server.
Jeedom - Master 2.3.16 (stable) sur Raspberry Pi2
Jeedom - Slave 2.3.16 (plugin Openzwave) sur Raspberry Pi B+
Z-Wave via RaZberry

Avatar de l’utilisateur
aragornier
Actif
Messages : 2217
Inscription : 02 janv. 2015, 20:38
Localisation : Montpellier

Re: [Sujet officiel] - Harmony Hub

Message par aragornier » 28 mai 2015, 15:14

sarakha63 a écrit :Le plugin est en promo durant 2 jours environ profitez en pour ceux qui veulent
Le soleil rend le sarakha généreux ! :lol:
Profitez en !
JEEDOM POWER
3 jeedom sur RPI3 + 1 GEN8 pour VM et stockage
26 modules Zwave + 12 modules Rfxcom + 9 modules Xiaomi Home + téléinfo + 2 kodi + 4 cam IP + 1 hub harmony + 1 orvibo + 4 prises S20 , ect...

Répondre

Revenir vers « [Catégorie] Multimédia »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités